import { html, define } from "hybrids";

import classNames from "./simple-counter.scss";

console.log(classNames);
export function increaseCount(host) {
  host.count += 1;
}

export const SimpleCounter = {
  count: 0,
  render: ({ count }) => html`
    <button onclick="${increaseCount}" class="${classNames.button}">
      Counter: ${count}
    </button>
  `
};

define("simple-counter", SimpleCounter);
